Page MenuHomePhabricator

The image behind the intro dialog on mobile VE stretches strangely and makes the dialog look broken
Closed, ResolvedPublic

Description

The intro dialog on mobile VE looks very broken.

Event Timeline

Ryasmeen created this task.Mar 29 2018, 9:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 9:46 PM

This looks fine if you're in a different aspect ratio. The image shrank when I dragged my browser window to be narrower and narrower, which makes me think the image is being stretched too much.

Deskana renamed this task from The intro dialog on mobile VE looks very broken to The image behind the intro dialog on mobile VE stretches strangely and makes the dialog look broken.Apr 3 2018, 7:02 PM
Esanders triaged this task as Low priority.Apr 5 2018, 9:09 PM

Change 425918 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Fix layout of welcome dialog on smaller screens

https://gerrit.wikimedia.org/r/425918

Change 425918 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Fix layout of welcome dialog on smaller screens

https://gerrit.wikimedia.org/r/425918

Looks fixed to me on an iPhone 8, e.g. (screenshot from Chrome but tested on a real device):

Should we shrink the image a bit on mobile to ensure the text shows up? On landscape on an iPhone 5 it's offscreen with no obvious call:

Should we shrink the image a bit on mobile to ensure the text shows up? On landscape on an iPhone 5 it's offscreen with no obvious call […]

Yeah, I think so.

Change 429529 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] MWWelcomeDialog: Shrink the background image to 40% so the CTAs show

https://gerrit.wikimedia.org/r/429529

On iPhone 5s on landscape the text is still offscreen, also the button "Start Editing" and since there is no way to scroll down at this point, the user gets stuck on this screen.

Patch fixes landscape, but portrait is now overlapping:

Change 444035 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] MWWelcomeDialog: Refactor splash image to allow resizing it

https://gerrit.wikimedia.org/r/444035

Change 444035 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWWelcomeDialog: Refactor splash image to allow resizing it

https://gerrit.wikimedia.org/r/444035

Change 429529 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWWelcomeDialog: Shrink the background image by 1/3 so the CTAs show

https://gerrit.wikimedia.org/r/429529

Deskana closed this task as Resolved.Jul 12 2018, 2:37 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 12 2018, 2:37 PM